Page MenuHomePhabricator

Remove VisualEditor browser test inside MobileFrontend
Closed, ResolvedPublic0 Story Points

Description

There is a browser test tests/browser/features/editor_ve.feature which checks integration of VisualEditor with MobileFrontend (ie. you can switch between modes, go back to save screen and edit a page using VE). It is skipped in all environments (on every commit, on beta cluster).

It's worth noting that the browser test seems a little outdated and css selectors need updating for this to pass again.

A/C

  • Remove the tests mentioned above

Event Timeline

Jdlrobson created this task.Nov 9 2016, 3:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2016, 3:28 PM

@Esanders @Jdforrester-WMF any preference on what we should do? After a brief discussion we are proposing to remove it, but out of courtesy we would like to check with your team.

I'm content to remove.

bmansurov triaged this task as Normal priority.Nov 17 2016, 6:10 PM
bmansurov renamed this task from VisualEditor browser test inside MobileFrontend are skipped to Remove VisualEditor browser test inside MobileFrontend.Dec 14 2016, 2:28 PM
bmansurov updated the task description. (Show Details)
bmansurov moved this task from Needs Analysis to Triaged but Future on the Readers-Web-Backlog board.
bmansurov edited projects, added Technical-Debt (RW-Tech-Debt); removed Technical-Debt.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 3 2017, 4:33 PM
MtDu claimed this task.Jan 14 2017, 11:10 PM
MtDu added a subscriber: MtDu.

I'll clean this up. :)

Change 332082 had a related patch set uploaded (by MtDu):
Remove VisualEditor browser test inside MobileFrontend

https://gerrit.wikimedia.org/r/332082

MtDu added a comment.Jan 16 2017, 2:00 PM

Does anyone have time to give this a review and close this up? :)

Change 332082 merged by jenkins-bot:
Remove VisualEditor browser test inside MobileFrontend

https://gerrit.wikimedia.org/r/332082

Jdforrester-WMF closed this task as Resolved.Jan 16 2017, 8:02 PM
Jdforrester-WMF set the point value for this task to 0.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 6 2018, 11:40 PM